<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Masters of the Universe: Masterverse</Series>
  <Number>4</Number>
  <Web>https://www.amazon.com/dp/B0BXMMY7LR</Web>
  <Summary>As the deal between the Sorceress and Zodac reaches its tense conclusion, they witness worlds where He-Man's good heart and strong will have influenced a new generation. In "Unfakeable," the Masters (featured in the Netflix CG animated series He-Man and the Masters of the Universe) confront their own doppelgangers, and must figure out the things they dislike most about each other to win, while in "The Megabeast Matrix," the He-Force is called upon once again to battle a very modular threat to the entire multiverse!</Summary>
  <Notes>Scraped metadata from Amazon [ASINB0BXMMY7LR]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Fantasy, Superhero, Action/Adventure</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
